Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	915Resolution: Intel Video BIOS Hack
Name:      	915resolution
Version:   	0.5.3
Release:   	1
Provides:	915resolution
License: 	Public Domain
URL:		http://www.geocities.com/stomljen
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.gz
Source1:	915resolution-config
Source2:	915resolution-init 
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
Prereq:         /sbin/chkconfig

%description
915resolution is a tool to modify the video BIOS of the 800 and 900 series Intel graphics chipsets. This includes the 830, 845G, 855G, and 865G chipsets, as well as 915G, 915GM, 945G, 946GZ, G965, and Q965 chipsets. This modification is neccessary to allow the display of certain graphics resolutions for an Xorg or XFree86 graphics server. 
915resolution's modifications of the BIOS are transient. There is no risk of permanent modification of the BIOS. This also means that 915resolution must be run every time the computer boots inorder for it's changes to take effect. 
915resolution is derived from the tool 855resolution. However, the code differs substantially. 915resolution's code base is much simpler. 915resolution also allows the modification of bits per pixel.

%post
/sbin/chkconfig --add 915resolution
/sbin/chkconfig 915resolution on

%preun
/sbin/chkconfig 915resolution off
/sbin/chkconfig --del 915resolution

%prep
%setup -n %{name}-%{version}

%build
make clean
make

%install 
rm -rf %{buildroot}
install -Dp -m0755 915resolution %{buildroot}%{_sbindir}/915resolution
install -Dp -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/915resolution
install -Dp -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/915resolution

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc LICENSE.txt dump_bios chipset_info.txt README* changes.log
%{_sbindir}/915resolution
%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-1
- Inital Release
